# Ansible OS update role

A role that updates/upgrades Ubuntu and Debian Operating Systems.

[![Ansible Galaxy](https://shields.io/badge/Ansible_Galaxy-151515?logo=ansible&style=for-the-badge)](https://galaxy.ansible.com/jfx/system) Ansible Galaxy collection.

## Getting Started

### Requirements

In order to use:

* Minimal Ansible version: 2.10

### Installation

* Download the `jfx.system` collection:

```shell
ansible-galaxy collection install jfx.system
```

* Then use the role from the collection in the playbook:

example:

```yaml
  ...
  roles:
    - role: jfx.system.os_update
      vars:
        os_update_upgrade: safe
```

### os_update role variables

| Variables           | Description                                   | Default |
| ------------------- | --------------------------------------------- | ------- |
| `os_update_timeout` | Time out of the apt update command (in sec.). | `120`   |
| `os_update_upgrade` | Upgrade level, mainly `no`, `safe` or `dist`. | `dist`  |

## Authors

* **FX Soubirou** - *Initial work* - [GitLab repositories](https://gitlab.com/op_so)

## License

This program is free software: you can redistribute it and/or modify it under the terms of the MIT License (MIT). See the [LICENSE](https://opensource.org/licenses/MIT) for details.
